QT compile / KDE

QT compile / KDE

Post by vi » Thu, 06 May 1999 04:00:00



Anyone have any clues as to why I might be getting this error mid way thru
QT compile?

In file included from /usr/include/local_lim.h:21,
                 from /usr/include/posix1_lim.h:92,
                 from /usr/include/dirent.h:153,
                 from tools/qfiledefs.h:36,
                 from tools/qfile.cpp:25:
/usr/include/linux/limits.h:52: No include path in which to find limits.h
tools/qfile.cpp: In method `bool QFile::open(int)':
tools/qfile.cpp:377: `EMFILE' undeclared (first use this function)
tools/qfile.cpp:377: (Each undeclared identifier is reported only once
tools/qfile.cpp:377: for each function it appears in.)
tools/qfile.cpp: In method `int QFile::writeBlock(const char *, unsigned
int)';
tools/qfile.cpp:688: `ENOSPC' undeclared (first use this function)
make[1]: *** [tools/qfile.o] Error 1
make: *** [src] Error 2

I am running stampede linux, and i did the linux-g++-shared compile for QT.
I checked the paths, and all the .h and .cpp files are there, it beats me
why make cant find them.

 
 
 

1. KDE @ QT, complaints about QT not being freeware

        It appears (to me at least) that the main reason cited for not
supporting KDE is because it uses a proprietary widget set - Qt.  There is a
simple solution: make a source code compatible version of Qt, or binary
compatible if you have the ambition.

        Although I realize that what I'm proposing is hardly trivial, it
is quite viable.  So, what kind of stupid illogical conclusion have I made
that makes this entire concept utterly stupid?

        Certainly, if the makers of Qt try to screw the Linux community
over after it develops a dependence on it, we will react by doing just this,
it is after all why most freeware exists.

2. Where does a core dump come from?

3. autoconf help needed

4. KDE / QT apps : configure error with QT

5. cern-apache

6. When will KDE-2.0 compile with current qt-2.0

7. Locking out memory for a device driver.

8. Compiling QT for KDE

9. Can't compile QT and Kde 1.1.2

10. compiling QT for KDE??

11. NoteEdit:Compile Problem:KDE <--> Qt version conflict

12. KDE Qt - Problems compiling samples